library(shipunov)

aa <- read.table("../../../data/buxineae_dna.txt", sep="\t", h=T, as.is=T, quote="")
aa <- aa[order(aa$FRAGMENT, aa$SPECIES.NEW), ]
aa <- aa[aa$SELECT == 1 | is.na(aa$SELECT), ]

aas <- split(aa, aa$FRAGMENT)

for (s in names(aas)) {
 subs <- aas[[s]]
 subs.misu <- subs[!(subs$SOURCE %in% c("GENBANK", "BOLD")), ] # keep ours
 subs.misu.sp <- unique(sort(subs.misu$SPECIES.NEW))
 subs.genbank <- subs[subs$SOURCE %in% c("GENBANK", "BOLD"), ]
 subs.genbank <- subs.genbank[!subs.genbank$SPECIES %in% subs.misu.sp, ] # remove species which we already have
 subs.genbank <- subs.genbank[order(subs.genbank$SPECIES.NEW, nchar(subs.genbank$SEQUENCE), decreasing=T), ] # sort by length, longer first
 subs.genbank <- subs.genbank[!duplicated(subs.genbank$SPECIES), ] # take the first
 aas[[s]] <- subs.genbank
}

bb <- do.call(rbind, aas)
write.table(bb[, c("SOURCE", "SEQUENCE.ID", "SPECIES.NEW", "FRAGMENT")], row.names=FALSE, quote=FALSE, sep="\t", file="data/shipunov_floden_et_al_buxineae_table_genbank.txt")