## this script compares different nucleotide substitution models
## this is very separate script which might not be required to run each time

library(phangorn)
library(shipunov)

conc <- read.dna("40_concatenated/its_full.fasta", format="fasta", as.character=TRUE)

names <- read.table("40_concatenated/its_full_names.txt", sep="\t", as.is=TRUE)
nonames <- Recode(row.names(conc), names[, 1], names[, 3])
row.names(conc) <- Recode(row.names(conc), names[, 1], names[, 2])
conc <- conc[nonames == 1, ]
conc <- as.phyDat(as.DNAbin(conc))

models <- modelTest(conc,
 model=c("JC", "HKY", "GTR"), # change the model set if needed
 multicore=TRUE) # multicore=TRUE might not work under Windows, remove if needed

models[order(models$AIC), ] # outputs the table with models arranged by AIC, change this order if needed
